## GtkVButtonBox

GtkVButtonBox — A container for arranging buttons vertically

## Functions

GtkWidget * | gtk_vbutton_box_new ()
gint | gtk_vbutton_box_get_spacing_default ()
void | gtk_vbutton_box_set_spacing_default ()
GtkButtonBoxStyle | gtk_vbutton_box_get_layout_default ()
void | gtk_vbutton_box_set_layout_default ()

## Types and Values

struct | GtkVButtonBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkButtonBox
                                ╰── GtkVButtonBox

## Implemented Interfaces

GtkVButtonBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

A GtkVButtonBox is created with `gtk_vbutton_box_new()`. Buttons are packed into a button box the same way widgets are added to any other container, using `gtk_container_add()`. You can also use `gtk_box_pack_start()` or `gtk_box_pack_end()`, but for button boxes both these functions work just like `gtk_container_add()`, ie., they pack the button in a way that depends on the current layout style and on whether the button has had `gtk_button_box_set_child_secondary()` called on it.

The spacing between buttons can be set with `gtk_box_set_spacing()`. The arrangement and layout of the buttons can be changed with `gtk_button_box_set_layout()`.

## Functions

### gtk_vbutton_box_new ()

    GtkWidget *
    gtk_vbutton_box_new (void);

Creates a new vertical button box.

#### Returns

a new button box GtkWidget.

### gtk_vbutton_box_get_spacing_default ()

    gint
    gtk_vbutton_box_get_spacing_default (void);

`gtk_vbutton_box_get_spacing_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_box_get_spacing()` instead.

Retrieves the current default spacing for vertical button boxes. This is the number of pixels to be placed between the buttons when they are arranged.

#### Returns

the default number of pixels between buttons.

### gtk_vbutton_box_set_spacing_default ()

    void
    gtk_vbutton_box_set_spacing_default (gint spacing);

`gtk_vbutton_box_set_spacing_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_box_set_spacing()` instead.

Changes the default spacing that is placed between widgets in an vertical button box.

#### Parameters

spacing | an integer value. |

### gtk_vbutton_box_get_layout_default ()

    GtkButtonBoxStyle
    gtk_vbutton_box_get_layout_default (void);

`gtk_vbutton_box_get_layout_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_button_box_get_layout()` instead.

Retrieves the current layout used to arrange buttons in button box widgets.

#### Returns

the current GtkButtonBoxStyle.

### gtk_vbutton_box_set_layout_default ()

    void
    gtk_vbutton_box_set_layout_default (GtkButtonBoxStyle layout);

`gtk_vbutton_box_set_layout_default` has been deprecated since version 2.0 and should not be used in newly-written code.

Use `gtk_button_box_set_layout()` instead.

Sets a new layout mode that will be used by all button boxes.

#### Parameters

layout | a new GtkButtonBoxStyle. |

## Types and Values

### struct GtkVButtonBox

    struct GtkVButtonBox;

## See Also

GtkBox, GtkButtonBox, GtkHButtonBox